package gov.va.vinci.dart.json;

public class SaveActivityView {
	private boolean draft;
	private int requestId;
	private String type;
	private String officialName;
	private String shortName;
	private String activityStartDate;
	private String activityEndDate;
	private String iRBApprovalNumber;
	private String iRBExpirationDate;
	private String expectedIRBSubmissionDate;  //only for Preparatory to research
	private String programOffice;  // only for operational request
	private String justification;  // only for operational request


	private PrimaryInfoView primaryInfo; // if empty passed from the UI, this
											// will be null

	public PrimaryInfoView getPrimaryInfo() {
		return primaryInfo;
	}

	public void setPrimaryInfo(PrimaryInfoView primaryInfo) {
		this.primaryInfo = primaryInfo;
	}

	public boolean isDraft() {
		return draft;
	}

	public void setDraft(boolean draft) {
		this.draft = draft;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getOfficialName() {
		return officialName;
	}

	public void setOfficialName(String officialName) {
		this.officialName = officialName;
	}

	public String getShortName() {
		return shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	public String getiRBApprovalNumber() {
		return iRBApprovalNumber;
	}

	public void setiRBApprovalNumber(String iRBApprovalNumber) {
		this.iRBApprovalNumber = iRBApprovalNumber;
	}

	public String getiRBExpirationDate() {
		return iRBExpirationDate;
	}

	public void setiRBExpirationDate(String iRBExpirationDate) {
		this.iRBExpirationDate = iRBExpirationDate;
	}

    public String getExpectedIRBSubmissionDate() {
        return expectedIRBSubmissionDate;
    }

    public void setExpectedIRBSubmissionDate(String expectedIRBSubmissionDate) {
        this.expectedIRBSubmissionDate = expectedIRBSubmissionDate;
    }

    public int getRequestId() {
		return requestId;
	}

	public void setRequestId(int requestId) {
		this.requestId = requestId;
	}

	public String getActivityStartDate() {
		return activityStartDate;
	}

	public void setActivityStartDate(String activityStartDate) {
		this.activityStartDate = activityStartDate;
	}

	public String getActivityEndDate() {
		return activityEndDate;
	}

	public void setActivityEndDate(String activityEndDate) {
		this.activityEndDate = activityEndDate;
	}

	public String getProgramOffice() {
		return programOffice;
	}

	public void setProgramOffice(String programOffice) {
		this.programOffice = programOffice;
	}

	public String getJustification() {
		return justification;
	}

	public void setJustification(String justification) {
		this.justification = justification;
	}
}
